<?php
session_start();
$usuario=$_SESSION['rut'];


$id_defecto = $_REQUEST['id'];
$defecto_nombre = $_REQUEST['defecto_nombre'];
include '../../conexion/conn.php';

$rs= mysql_query("SELECT COUNT(*) FROM defectos WHERE defecto_nombre = '$defecto_nombre' AND defecto_id <> '$id_defecto'" );
$row = mysql_fetch_row($rs);
if ($row[0] == 0){
	$sql = "UPDATE defectos SET defecto_nombre = UPPER('$defecto_nombre'),defecto_usuariomod = '$usuario',defecto_fechamod = now() WHERE defecto_id=$id_defecto";
	$result = @mysql_query($sql);
	$sql = "DELETE FROM defectos_detalle_parametros WHERE defecto_id='$id_defecto'";
	$result = @mysql_query($sql);
	$sql = "DELETE FROM especies_detalle_defectos WHERE defecto_id='$id_defecto'";
	$result = @mysql_query($sql);
	if ($result){
		if (isset($_REQUEST["parametros"])){	
			foreach ($_REQUEST["parametros"] as $key => $value) { 
				$sql = "INSERT INTO defectos_detalle_parametros (defecto_id, id_parametro)
				VALUES('$id_defecto','$value')";
				$result = @mysql_query($sql);
			}
		}
		
		if (isset($_REQUEST["especies"])){		
			foreach ($_REQUEST["especies"] as $key => $value) { 
				$sql = "INSERT INTO especies_detalle_defectos (defecto_id, especie_cod)
				VALUES('$id_defecto','$value')";
				$result = @mysql_query($sql);
			}
		}
		
		if ($result){
			echo "Datos Grabados";
		}else{
			echo "Error al grabar los parametros seleccionados";
		}
	}else{
		echo "No se han podido eliminar los registros";
	}
}else{
	echo "Defecto ya existe";
}

?>